scim_frontend.h File Reference

Defines scim::FrontEndBase interface. More...

## Classes

class | scim::FrontEndError
| An exception class to hold FrontEnd related errors. More...
class | scim::FrontEndBase
| The base class to implement the FrontEnd objects. More...

## Namespaces

namespace | scim

## Typedefs

typedef Pointer< FrontEndBase > | scim::FrontEndPointer

## Detailed Description

Defines scim::FrontEndBase interface.